%define name sdlmame
%define version 0.135
%define sversion %(sed -e "s/\\.//" <<<%{version})
%define release %mkrel 1

Summary: SDL MAME is an arcade emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://rbelmont.mameworld.info/%{name}%{sversion}.tar.bz2
Source1: %{name}-wrapper
#Source20: http://cheat.retrogames.com/cheat135.7z
Group: Emulators
License: Freeware
URL: http://rbelmont.mameworld.info/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL1.2-devel
BuildRequires: libexpat1-devel
BuildRequires: zlib-devel
BuildRequires: p7zip
ExclusiveArch: %ix86 x86_64 ppc
Requires:	libexpat1
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
SDL MAME is an arcade emulator using SDL, and based on the Multiple Arcade 
Machine Emulator (MAME).


%prep
%setup -q -n %{name}%{sversion}
#7za x %{SOURCE20}

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
%make SYMBOLS=1 \
 PREFIX="sdl" \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
 OPT_FLAGS="%optflags" \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1
%endif
%ifarch ppc
 PPC=1
%endif
#ifarch %ix86
# I686=1
#endif

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}* %{buildroot}/%{_gamesbindir}/

#tools
install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-sdlmame
install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-sdlmame
#other tools built:
#jedutils, makemeta, regrep, srcclean, testkeys

#cheats
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
#install -m 644 cheat.dat %{buildroot}/%{_gamesdatadir}/%{name}/

#ui font
install -m 644 ui.bdf %{buildroot}/%{_gamesdatadir}/%{name}/

#install wrapper
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/sdlmame-wrapper

%files
%defattr(-,root,root)
%doc SDLMAME.txt whatsnew.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/chdman-sdlmame
%attr(0755,root,games) %{_gamesbindir}/romcmp-sdlmame
#{_mandir}/man1/%{name}.1*
%{_gamesdatadir}/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Sat Nov 14 2009 slick50 <lxgator@gmail.com> 0.135-1pclos2010
- 0.135

* Thu Aug 09 2007 Texstar <texstar@gmail.com> 0.117.4
- rebuild against new libexpat1

* Tue Aug 07 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.117-3
- Rebuild against old libexpat

* Mon Jul 30 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.117-2
- Rebuilt for pclos

* Fri Jul 13 2007 Guillaume Bedot <littletux@zarb.org> 0.117-1plf2008.0
- 0.117
- simple wrapper added
- fixed rights on cheat.dat
- added ui.bdf
- dropped cheat patch (no need with the wrapper)


